aboutsummaryrefslogtreecommitdiff
path: root/sh/s6.sh
diff options
context:
space:
mode:
authorWilliam Hubbs <w.d.hubbs@gmail.com>2016-09-13 12:27:08 -0500
committerWilliam Hubbs <w.d.hubbs@gmail.com>2016-09-13 12:52:10 -0500
commit8a8032478a755f6e2ceaebc5425e61c6817df936 (patch)
tree9446bd9c58ebc819e118d971a3d2919fa3d06fc7 /sh/s6.sh
parentac53c9a658589456c678b6bfe674a66a3845e564 (diff)
Make use of name vs RC_SVCNAME consistent in supervisor scripts
This fixes #79.
Diffstat (limited to 'sh/s6.sh')
-rw-r--r--sh/s6.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/sh/s6.sh b/sh/s6.sh
index 447419ce..d1b9c103 100644
--- a/sh/s6.sh
+++ b/sh/s6.sh
@@ -30,7 +30,7 @@ s6_start()
sleep 1.5
set -- $(s6-svstat "${s6_service_link}")
[ "$1" = "up" ]
- eend $? "Failed to start $RC_SVCNAME"
+ eend $? "Failed to start ${name:-$RC_SVCNAME}"
}
s6_stop()
@@ -44,7 +44,7 @@ s6_stop()
s6-svc -wD -d -T ${s6_service_timeout_stop:-10000} "${s6_service_link}"
set -- $(s6-svstat "${s6_service_link}")
[ "$1" = "down" ]
- eend $? "Failed to stop $RC_SVCNAME"
+ eend $? "Failed to stop ${name:-$RC_SVCNAME}"
}
s6_status()